For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Licenses
      • POSTAdd License
LogoLogo
SupportContact salesStart free trial
API ReferenceLicense

Retrieve Licenses

GET
https://api.projectmanager.com/api/data/license
GET
/api/data/license
$curl https://api.projectmanager.com/api/data/license \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "licenseSku": "string",
17 "bundleSku": "string",
18 "optional": true
19 }
20 ]
21}

Retrieve information about the current licenses possessed by this Workspace.

Licenses contain information about your current subscription level and features that have been enabled on your Workspace. To modify the License information, please log on to the ProjectManager.com application and use the Account | Editions screen to review or update your Licenses.

Was this page helpful?
Previous

Add License

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.